Redmine - Defect #16784

Notifications not sent when receiving emails with rake task and async deliveries
2014-04-30 15:51 - JEREMY LEGRAND

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Wont fix Affected version: 25.0

Description
Hi all,

| just installed redmine 2.5.0 and my all team is glad to use it.

| tried to allow issue creation by email from our clients.

The clients will send an email to a specific email address which be fetch by redmine.
So our clients do not have access to Redmine.

It's works very well with receive_imap parameter and unknown_users=1.

The problem is the project maanger does not receive a notification of new issue created by our clients.
If | create an issue from the redmine interface, the notification worked.

My SMTP settings are async_smtp with gmail account.

Thanks for your help !

Related issues:
Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

Associated revisions

Revision 13123 - 2014-05-02 09:07 - Jean-Philippe Lang

Use async email deliveries in rake tasks (#16784).

History

#1 - 2014-05-02 09:07 - Jean-Philippe Lang
- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.5.2

- Resolution set to Fixed

This should be fixed by r13123.

#2 - 2014-05-02 09:07 - Jean-Philippe Lang

- Subject changed from Email notification from issue created by unknown user to Notifications not sent when receiving emails with rake task and async
deliveries

#3 - 2014-05-02 16:25 - JEREMY LEGRAND

Hi,

| updated the file email.rake and the notifications still don't work.

| restarted all my server, | use "bundle install" command.

| saw you changed the target version to 2.5.2. That's means others fixes are needed for my defect ?
Many thanks for your contribution Jean-Philippe.

#4 - 2014-05-02 16:33 - Toshi MARUYAMA
- File rev13123.patch added
https://www.redmine.org/projects/redmine/repository/svn/revisions/13123

13123[have not merged to 2.5-stable yet.
Try this patch to your Redmine.

#5 - 2014-05-02 17:19 - JEREMY LEGRAND

| downloaded the file from the revision : http://www.redmine.org/projects/redmine/repository/revisions/13123/entry/trunk/lib/tasks/email.rake and

ovverrided my file.
| check your patch, my email.rake file seems to be correct.

Unfortunately, notifications from unknown_users by rake still don't work.
It's the last feature wanted by my team before go-live with our clients.
I really hope that the next version of Redmine will work on this specific feature.

Kind regards,

#6 - 2014-05-02 17:24 - Toshi MARUYAMA
- Status changed from Resolved to New

- Resolution deleted (Fixed)

#7 - 2014-07-06 12:28 - Jean-Philippe Lang

- Target version changed from 2.5.2 to Candidate for next minor release

#8 - 2018-10-11 03:50 - Go MAEDA

- Related to Feature #26791: Send individual notification mails per mail recipient added

#9 - 2018-11-30 14:00 - Go MAEDA
- Status changed from New to Closed
- Target version deleted (Candidate for next minor release)

- Resolution set to Wont fix

In Redmine 4.0, the async_smtp setting is obsolete and emails are delivered asynchronously by default.

Files

rev13123.patch 1.49 KB 2014-05-02
